Source: ldas-tools-al-swig
Section: science
Priority: optional
Maintainer: Edward Maros <ed.maros@ligo.org>
Homepage: "https://wiki.ligo.org/Computing/LDASTools"
Build-Depends: debhelper-compat (= 13),
    dh-python,
    cmake,
    pkg-config,
    swig (>= 3.0.7),
    python3,
    python3-dev,
    ldas-tools-cmake (>= 1.5.0),
    ldas-tools-al-dev (>= 2.10.0)
Standards-Version: 4.6.2
Rules-Requires-Root: no
X-Python3-Version: >= 3.2

#========================================================================
Package:      ldas-tools-al-swig
Section:      libdevel
Architecture: any
Depends:
    ldas-tools-al-dev (>= 2.10.0),
    ${misc:Depends},
    ${python3:Depends}
Conflicts: ldas-tools-al-dev (<= 2.6.1 )
Description: SWIG interface for the LDAS Tools abstraction library
 This package provides the SWIG header files describing the extension
 interface to the LDAS Tools frameCPP abstraction library

#========================================================================
Package:      python3-ldas-tools-al
Section:      python
Architecture: any
Depends:
    ldas-tools-al (>= 2.10.0),
    ${misc:Depends},
    ${python3:Depends}
Provides: ldas-tools-al-python3
Conflicts: ldas-tools-al-python3
Replaces: ldas-tools-al-python3
Description: Python 3 binding for the LDAS Tools abstraction library
 This package provides the python language extensions to ldas-tools-al for Python 3.
